> For the complete documentation index, see [llms.txt](/llms.txt).

# List funds the customer has taken

**GET** `https://www.iwoca.co.uk/api/lending/v2.2/customers/{customer_id}/fundings/`

## Path parameters
- `customer_id` (string, required) — The unique customer_id used to represent a customer.

## Query parameters
- `limit` (number, required)
- `offset` (number, required)

## Responses
### 200 — Success
```json
{
  "data": {
    "count": 0,
    "items": [
      {
        "application_id": "48ac72d0-a829-4896-a067-dcb1c2b0f30c",
        "funding_amount": 1000,
        "funding_created_at": "2019-08-24T14:15:22Z",
        "funding_fee_amount": 50,
        "funding_id": "37301ec7-fce0-4953-a34c-83756823b32d",
        "offer_duration_in_days": 730,
        "offer_fee_percentage": 3,
        "offer_id": "d5a7a5b7-a4a3-49e7-9c69-b44d2cbe15cf",
        "offer_max_amount": 2000,
        "offer_monthly_interest_percentage": 3
      }
    ]
  }
}
```

### 400 — Bad Request
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {},
      "source": {
        "parameter": "string",
        "pointer": "string"
      }
    }
  ]
}
```

### 401 — Unauthorized
```json
{
  "errors": [
    {
      "code": "AuthenticationFailed",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 403 — Permission Denied
```json
{
  "errors": [
    {
      "code": "PermissionDenied",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 404 — Not Found
```json
{
  "errors": [
    {
      "code": "NotFound",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 406 — Not Acceptable
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 500 — Unexpected Error
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

## Example (curl)
```bash
curl 'https://www.iwoca.co.uk/api/lending/v2.2/customers/<customer_id>/fundings/?limit=<limit>&offset=<offset>' \
  --header 'Authorization: Bearer <api-key>'
```